#if !defined(AFX_SHEETCONFIG_H__A5D75088_80CE_4092_B0AF_E1DEB4890575__INCLUDED_)
#define AFX_SHEETCONFIG_H__A5D75088_80CE_4092_B0AF_E1DEB4890575__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// Sheetconfig.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CPageAdv dialog

class CPageAdv : public CPropertyPage
{
	DECLARE_DYNCREATE(CPageAdv)

// Construction
public:
	CPageAdv();
	~CPageAdv();

// Dialog Data
	//{{AFX_DATA(CPageAdv)
	enum { IDD = IDD_PROPPAGE_ADV };
	CString	m_strIPClient;
	CString	m_strIPServer;
	//}}AFX_DATA


// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(CPageAdv)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	// Generated message map functions
	//{{AFX_MSG(CPageAdv)
		// NOTE: the ClassWizard will add member functions here
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

};

/////////////////////////////////////////////////////////////////////////////
// CPageServer dialog

class CPageServer : public CPropertyPage
{
	DECLARE_DYNCREATE(CPageServer)

// Construction
public:
	CPageServer();
	~CPageServer();

// Dialog Data
	//{{AFX_DATA(CPageServer)
	enum { IDD = IDD_PROPPAGE_SERVER };
	CString	m_strDefault;
	CString	m_strDirect;
	UINT	m_nPortServer;
	//}}AFX_DATA


// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(CPageServer)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	// Generated message map functions
	//{{AFX_MSG(CPageServer)
		// NOTE: the ClassWizard will add member functions here
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

};
/////////////////////////////////////////////////////////////////////////////
// CPageClient dialog

class CPageClient : public CPropertyPage
{
	DECLARE_DYNCREATE(CPageClient)

// Construction
public:
	CPageClient();
	~CPageClient();

// Dialog Data
	//{{AFX_DATA(CPageClient)
	enum { IDD = IDD_PROPPAGE_CLIENT };
	CString	m_strFile;
	CString	m_strServerIP;
	UINT	m_nPort;
	CString	m_strProxy;
	CString	m_strServerName;
	BOOL	m_bUseProxy;
	//}}AFX_DATA


// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(CPageClient)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	// Generated message map functions
	//{{AFX_MSG(CPageClient)
		// NOTE: the ClassWizard will add member functions here
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

};
/////////////////////////////////////////////////////////////////////////////
// CSheetConfig

class CSheetConfig : public CPropertySheet
{
	DECLARE_DYNAMIC(CSheetConfig)

// Construction
public:
	CSheetConfig(UINT nIDCaption, CWnd* pParentWnd = NULL, UINT iSelectPage = 0);
	CSheetConfig(LPCTSTR pszCaption, CWnd* pParentWnd = NULL, UINT iSelectPage = 0);

// Attributes
public:

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CSheetConfig)
	//}}AFX_VIRTUAL

// Implementation
public:
	CPageServer m_pageServer;
	CPageClient m_pageClient;
	CPageAdv m_pageAdv;
	virtual ~CSheetConfig();

	// Generated message map functions
protected:
	//{{AFX_MSG(CSheetConfig)
		// NOTE - the ClassWizard will add and remove member functions here.
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////
//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SHEETCONFIG_H__A5D75088_80CE_4092_B0AF_E1DEB4890575__INCLUDED_)
